%{!?_texmf: %define _texmf %(eval "echo `kpsewhich -expand-var '$TEXMFMAIN'`")}

%define texpkg      beamer
%define texpkgdir   %{_texmf}/tex/latex/%{texpkg}
%define texpkgdoc   %{_texmf}/doc/latex/%{texpkg}

Name:           tetex-%{texpkg}
Version:        3.01
Release:        2%{?dist}
Summary:        A LaTeX class for producing presentations and slides

Group:          Applications/Publishing
License:        GPL
URL:            http://www.ctan.org/tex-archive/help/Catalogue/entries/beamer.html
# DANTE generates CTAN packages tarballs on-the-fly
# ftp://ftp.dante.de/tex-archive/macros/latex/contrib/beamer.tar.gz
Source0:        beamer-3.01-20050315.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  /usr/bin/kpsewhich
Requires:       tetex-latex
Requires:       tetex-pgf >= 0.63, tetex-xcolor >= 2.00
Requires(post): /usr/bin/texhash
Requires(postun): /usr/bin/texhash

%description
The beamer LaTeX class can be used for producing slides.  Its
functionality is similar to Prosper but does not need any external
programs and can directly produce a presentation using pdflatex.
Beamer uses pgf for pdf/ps independent graphics.  Frames are created
using \frame{...}, and a frame can build multiple slides through a
simple notation for specifying material for each slide within a frame.
Beamer supports bibliographies, appendicies and transitions.  Short
versions of title, authors, institute can also be specified as
optional parameters.  A \plainframe{} allows a picture, for example,
to fill the whole frame.  Support figure and table environments,
transparency effects, a \transduration command, animation commands, a
pauses environment.  Beamer also provides compatibility with other
packages like prosper. 


%prep
%setup -q -n %{texpkg}

%build

%install
rm -rf $RPM_BUILD_ROOT
 
install -d -m 755 $RPM_BUILD_ROOT{%{texpkgdir},%{texpkgdoc}}
cp -pr base $RPM_BUILD_ROOT%{texpkgdir}/
cp -pr emulation $RPM_BUILD_ROOT%{texpkgdir}/
cp -pr extensions $RPM_BUILD_ROOT%{texpkgdir}/
cp -pr themes $RPM_BUILD_ROOT%{texpkgdir}/
install -p -m 644 doc/*.pdf $RPM_BUILD_ROOT%{texpkgdoc}/

%clean
rm -rf $RPM_BUILD_ROOT


%post
texhash >/dev/null 2>&1 || :

%postun
texhash >/dev/null 2>&1 || :


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README TODO doc/*.tex doc/Makefile
%doc examples/ solutions/
%doc emacs/ lyx/
%{texpkgdir}/
%{_texmf}/doc/


%changelog
* Thu Jun  2 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 3.01-2
- Missing build requirement: /usr/bin/kpsewhich.
- Dist tag.

* Wed Feb 23 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 3.01-1
- First build.
